/* adapt.css -- Adapt Skin CSS stylesheet for PmWiki */

body { color:#333; }

/* Monospaced fonts */
pre, code {
  font-family:'Lucida Console','Andale Mono','Courier New',Courier,monospace; }

/* Links */
a:link { color:#336699; text-decoration:none;
  text-shadow:0.5px 0.5px 0.5px #99b2cc; }
a:visited { color:#204060; text-decoration:none;
  text-shadow:0.5px 0.5px 0.5px #99b2cc; }
a:hover, a:active { color:#2d5b89; text-shadow:1.5px 1.5px 2px #99b2cc; }

/* Highlight/Mark and Undrline*/
mark { background-color:transparent; text-shadow:0.25px 0.1px 0px; }
u { text-decoration:none; border-bottom:1px dotted #333; }

/* Headings */
h1 { line-height:1em; font-weight:500; }
h2 { margin:1.1em 0 0.6em 0; font-size:1.7em; font-weight:500; } 
h3 { margin:1.1em 0 0.7em 0; font-size:1.37em; font-weight:500; }
h4 { margin:1.2em 0 0.7em 0; font-size:1.2em; font-weight:500; } 
h5 { margin:1.3em 0 0.7em 0; font-size:1em; font-weight:600; } 
h6 { margin:1.5em 0 0.8em 0; font-size:0.9em; font-weight:600; } 
h1 strong, h2 strong { font-weight:700; }
h3 strong, h4 strong { font-weight:900; }
h5 strong, h6 strong { font-weight:900; }
h1, h2, h3, h4, h5, h6 { line-height:1.1em; }

/* Lists */
ol { list-style-type:decimal; }
ol ol { list-style-type:upper-alpha; }
ol ol ol { list-style-type:lower-roman; }
ol ol ol ol { list-style-type:lower-alpha; }
ul ul ul { list-style-type:disc }
ul ul ul ul { list-style-type:circle }
/* Responsive image */
.pure-img-responsive { max-width:100%; height:auto; }

/*
Add transition to containers so they can push in and out.
*/
#layout, #menu, .menu-link {
    -webkit-transition:all 0.2s ease-out;
    -moz-transition:all 0.2s ease-out;
    -ms-transition:all 0.2s ease-out;
    -o-transition:all 0.2s ease-out;
    transition:all 0.2s ease-out;
}

/*
This is the parent `<div>` that contains the menu and the content area.
Hamburger Menu styles are first, wider @media styles are below.
*/
#layout { position:relative; padding-left:0; }
#layout.active { position:relative; left:175px; }
#layout.active #menu { left:175px; width:175px; }
#layout.active .menu-link { left:175px; }

/*
The content `<div>` is where all your content goes.
*/
.content { margin:0 auto; padding:0 1.25em; max-width:800px;
  margin-bottom:50px; line-height:1.6em; }
.content img { max-width:100%; height:auto; } /*TODO wiki needs to style it*/
/* links in the content area */
/* .content a { font-weight:600; color:#0055bb; text-decoration:none; }
.content a:visited { font-weight:bold; color:#003399; text-decoration:none; }
.content a:hover {color:#0066cc; text-decoration:underline; } */
.content a:active { color:#9c0606; }

/* Wiki page actions */
#wikicmds { text-align:center; font-size:85%; white-space:nowrap;
  padding:2px 5px 1px; 0; border-bottom:1px #ccc dotted; }
#wikicmds ul { list-style:none; margin:0px; padding:0px; }
#wikicmds li { display:inline; margin:0px 5px; }
#wikicmds li a { text-decoration:none; color:#666; border:none; }
#wikicmds li a.createlink { display:none; }
#wikicmds li a:hover { text-decoration:underline; color:blue; }

/* The headerlogo element is (Site|Group).HeaderLogo TODO */
.headerlogo { border-bottom:1px #ccc solid; }

/* Wiki Header - Logo and Search box */
#wikihead { position:absolute; right:10px; top:10px; font-size:85%; }
#wikihead form { margin-top:0.5em; }
#wikihead form a { color:#666; }
#wikihead form a:hover { text-decoration:underline; color:blue; }
#wikihead input { font-size:85%; color:#666;
  text-shadow:1px 1px 1px #99b2cc; margin-top:0.1em; }
#wikihead input.inputbox { width:9em; line-height:0.9em; }
#wikihead input.button { line-height:0.9em; }
#wikihead form { display:none; } /* don't display searchbox on small screens */
#wikihead span.headnav { font-size:85%; }

/* The #wikilogo element is the logo from $PageLogoFmt */
#wikilogo { padding:0.8em 2em 1.1em 2em; text-align:center;
  background:#f9f9f9; border-bottom:1px #ccc solid;  }
/* #wikilogo img { border:0px; } TODO */

/* The #wikilogotxt element is a plain-text "logo" alternative */
#wikilogotxt { display:block; border-bottom:1px #ccc solid;
  margin:0; padding:1.1em 0em 1.1em 0em; background:#f9f9f9;
  text-align:center; text-shadow:1.5px 1.5px 1.5px #336699; }
#wikilogotxt a, #wikilogotxt a:visited { font-size:1.8em; 
  text-decoration:none; color:#333; font-weight:normal; }
#wikilogotxt a:hover { text-shadow:1px 1px 1px #336699; }

#tagline { font-size:0.95em; text-shadow:initial; margin:0.5em 0 -0.5em 0; }

/* Wiki page group */
.pagegroup { margin:0.5em 0 0 0; float:left; color:#666; }
.pagegroup2 { margin:0.5em 0 0 0; float:right; color:transparent; }
.pagegroup2 a { color:transparent; text-shadow:none;
  pointer-events:none; cursor:default; }


/* Wiki page title */
.title { margin:0 auto; padding:0.75em 2em 0.5em;
   max-width:800px; border-bottom:1px solid #f9f9f9; }
.title h1 { margin:0.25em 0; font-size:1.95em; font-weight:500;
  text-align:center; line-height:1.1em; }

/*TODO Wikify this*/
.content-subhead { margin:50px 0 20px 0; font-weight:300; color:#888;}

/* Edit Form */
#wikiedit form { margin:0px; width:100%; line-height:1.1em; }
#wikiedit textarea { margin:0px; width:99.5%; height:18em; }
#wikiedit input[type=text] { margin:2px; width:99.5%; }
h2.wikiaction { margin:0px }
.wikimessage { margin-top:3px; margin-bottom:3px; font-style:italic;
  color:black; background-color:#ffffcc; padding:2px; }

/* For the (Site.)Search page */
.searchbox { margin-right:2px; max-width:95.5%; }

/* Site Footer */
#wikifoot { font-size:80%; text-align:center; }
#wikifoot { padding-top:2em; }
.footnav a,.footnav a:visited {
 font-weight:normal; text-decoration:none; color:black;
 margin:0 0.2em 0 0.2em; }
.footnav a:hover { text-decoration:underline; color:blue; }
#poweredby { font-size:75%; color:#ccc; text-align:center; }
#poweredby a, #poweredby a:visited {
 color:#ccc; text-decoration:none; text-shadow:none;
 border-bottom:1px dotted #e0e0e0; }
#poweredby a:hover { color:navy; border-bottom:1px solid navy; }
.lastmod { color:#999; }

/*
The `#menu` `<div>` is the parent `<div>` that contains the `.pure-menu` that
appears on the left side of the page.
*/

#menu {
  margin-left:-175px; /* "#menu" width */
  width:175px;
  position:fixed;
  top:0;
  left:0;
  bottom:0;
  z-index:1000; /* so the menu or its navicon stays above all content */
  overflow-y:auto;
  -webkit-overflow-scrolling:touch;
  background:#181818;
  border-right:1px solid #333;
}
/* All anchors inside the menu should be styled like this. */
#menu a { color:#e0e0e0; border:none; padding:0.4em 0 0.4em 0.6em;
 font-size:85%; }
/* Remove all background/borders, since we are applying them to #menu.*/
#menu .pure-menu, #menu .pure-menu ul { border:none; background:transparent; }
/* Add that light border to separate items into groups. (was 0.5em */
#menu .pure-menu ul, #menu .pure-menu .menu-item-divided { padding-top:0em; }
#menu .pure-menu ul { padding:0 0 0.3em 0; }
#menu .pure-menu li { background:#202020; border-bottom:1px dotted #666; }
/* Change color of the anchor links on hover/focus. */
#menu .pure-menu li a:hover, #menu .pure-menu li a:focus { background:#202020; }
/* This styles the selected menu item `<li>`. */
#menu .pure-menu-selected, #menu .pure-menu-heading { background:#222222; }
/* This styles a link within a selected menu item `<li>`. */
#menu .pure-menu-selected a { color:#999; }
/* This styles the menu heading. */
#menu .pure-menu-heading { font-size:110%; color:#444; margin:0; }
#menu .createlink { display:none; }

/* Sidebar (menu) headings */
#menu .sidehead { font-weight:600; color:#ccc; border:none;
  padding:0.3em 0 0.2em 0.6em; background:#181818;
  border-bottom:1px #404040 solid; }
#menu .sidehead a { font-size:100%; color:#ccc; padding:0; }
#menu .sidehead a:hover { color:#ccc }

/* Side menu search form */
#menu .sidesearch { background:#202020; color:#000;
  padding-bottom:0.5em; padding-top:0.5em; border-bottom:1px dotted #666; }
#menu .sidesearch a:hover { text-decoration:underline; }
#menu form { background:#202020; }
#menu input.inputbox { width:93%; text-align:left; margin-left:3px;
  color:#999; background:#181818; font-size:85%; border:1px dotted #666; 
  line-height:0.85em; text-shadow:0.6px 0.6px 0.6px #666; }


/*
 Misc. (%wikistyles%)
 */
.lfloat, .rfloat { max-width:50%; margin-bottom:2px; }
/* Experimental:     */
.box { font-size:95%; padding:0.1em; margin:0em; border:1px solid #cccccc; }
.codebox {
  font-family:'Lucida Console','Andale Mono','Courier New',Courier,monospace;
  font-size:95%; padding:0.2em; margin:0em; border:1px solid #cccccc; }
.highlight { background-color:#fff9c6; }
.underline { border-bottom:1px dotted #999; }
.nomobile { display:none; }

/* -- Dynamic Button For Responsive Menu -------------------------------------*/

/*
The button to open/close the Menu is custom-made and not part of Pure.

`.menu-link` represents the responsive menu toggle that shows/hides on
small screens.
*/
.menu-link {
  position:fixed;
  display:block; /* show this only on small screens */
  top:0;
  left:0; /* "#menu width" */
  background:#000;
  background:rgba(0,0,0,0.7);
  font-size:12px; /* change this value to increase/decrease button size */
  z-index:10;
  width:2em;
  height:auto;
  padding:2.1em 1.6em;
}
.menu-link:hover, .menu-link:focus { background:#222222; }
.menu-link span { position:relative; display:block; }
.menu-link span, .menu-link span:before, .menu-link span:after {
  background-color:#fff; width:100%; height:0.2em; }
.menu-link span:before, .menu-link span:after { position:absolute;
  margin-top:-0.6em; content:" "; }
.menu-link span:after {  margin-top:0.6em; }

/*
Responsive Styles (Media Queries)
These styles are activated when the display is wider; the Hamburger
will disappear and the Side Menu for larger displays will be visible.

/* Hide the menu at `65em`, but modify this based on your app's needs. */
@media (min-width:64em) {
 #menu .sidesearch { display:none; }
 #wikilogo, #wikilogotxt { text-align:center; } 
 #wikihead form { display:block; }

 .title { padding-left:1.5em; padding-right:1.5em; }
 .content { padding-left:2em; padding-right:2em; }
 .lfloat, .rfloat { max-width:100%; margin-bottom:0; }
 /* width of the left (menu) column */
 #layout { padding-left:175px; left:0; }
 #menu { left:175px; }
 /* text-align:center was float:right; */
 .menu-link { position:fixed; left:175px; display:none; }
 #layout.active .menu-link {  left:175px; }
 h1, h2, h3, h4, h5, h6 { line-height:1em; }
 .nomobile { display:initial; }
 .onlymobile { display:none; }
}

@media print {
 #menu, #menulink, #wikihead, .menu-link { display:none; }
 .headerlogo, .content, .title { margin-left:0; }
 .highlight { background-color:yellow; } /* TODO */
 #poweredby, #wikicmds, .footnav, .noprint { display:none; }
}

